//-----------------------------LICENSE NOTICE------------------------------------
//  This file is part of Hair Boy
//  Copyright (C) 2016 Carlos Sevila (@CarlosSevila)
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//------------------------------------------------------------------------------

#include <cpctelera.h>

#ifndef _SPRITES_H_
#define _SPRITES_H_

// Tiles.
extern const u8 kTileBasic01[64];
extern const u8 kTileEnd[64];
extern const u8 kTileLaserVertical[64];
extern const u8 kTileLaserHorizontal[64];
extern const u8 kTileDeformBlock01[64];
extern const u8 kTileDeformBlock02[64];

extern const u8 kPlayerIdleRight01[64];
extern const u8 kPlayerIdleRight02[64];
extern const u8 kPlayerIdleLeft01[64];
extern const u8 kPlayerIdleLeft02[64];
extern const u8 kPlayerWin01[64];
extern const u8 kPlayerJumpRight01[64];
extern const u8 kPlayerJumpRight02[64];
extern const u8 kPlayerJumpLeft01[64];
extern const u8 kPlayerJumpLeft02[64];
extern const u8 kPlayerFallRight01[64];
extern const u8 kPlayerFallRight02[64];
extern const u8 kPlayerFallLeft01[64];
extern const u8 kPlayerFallLeft02[64];
extern const u8 kPlayerDeath01[64];
extern const u8 kPlayerDeath02[64];
extern const u8 kPlayerDeath03[64];
extern const u8 kPlayerDeath04[64];
extern const u8 kPlayerDeath05[64];

extern const u8 kBlock01[64];
extern const u8 kBlock02[64];
extern const u8 kBlock03[64];

// Numbers.
extern const u8 kNumber0[16];
extern const u8 kNumber1[16];
extern const u8 kNumber2[16];
extern const u8 kNumber3[16];
extern const u8 kNumber4[16];
extern const u8 kNumber5[16];
extern const u8 kNumber6[16];
extern const u8 kNumber7[16];
extern const u8 kNumber8[16];
extern const u8 kNumber9[16];
extern const u8 kNumberDots[16];
extern const u8 kDefeatsIcon[16];
extern const u8 kTimeIcon[16];

// Menu
extern const u8 kPlayText[88];
extern const u8 kAuthorText[192];
extern const u8 kTitleHair[432];
extern const u8 kTitleBoy[312];
extern const u8 kMoveText[64];
extern const u8 kJumpText[64];
extern const u8 kLeftIcon[64];
extern const u8 kRightIcon[64];
extern const u8 kJumpIcon[192];
extern const u8 kMusicText[80];
extern const u8 kMusicIcon[64];

// Score
extern const u8 kPressSpaceText[176];
extern const u8 kMapsText[72];
extern const u8 kDefeatsText[120];
extern const u8 kTimeText[72];
extern const u8 kOfText[32];

#endif
